<div class="custom-dialog" *ngIf="userFormGroup">

  <h2 mat-dialog-title>Crear Usuario</h2>
  <div mat-dialog-content>

    <mat-horizontal-stepper [linear]="true" #stepper>

      <!-- PERSON STEP-->
      <mat-step [stepControl]="userFormGroup.get('person')">
        <form [formGroup]="userFormGroup.get('person')">
          <ng-template matStepLabel>
            <span *ngIf="width>deviceService.breakpoints.sm">Nombre completo</span>
          </ng-template>

          <h2 style="text-align:center;" *ngIf="width<deviceService.breakpoints.sm">Nombre Completo</h2>

          <div fxLayout="column" fxLayoutAlign="center center">

            <div fxFlex="100">
              <p>
                <mat-form-field>
                  <mat-label>Nombre(s)</mat-label>
                  <input matInput required formControlName="name">
                  <mat-error>El nombre es requerido</mat-error>
                </mat-form-field>
              </p>

            </div>


            <div fxFlex="100">
              <p>
                <mat-form-field>
                  <mat-label>Apellido Paterno</mat-label>
                  <input matInput required formControlName="first_name">
                  <mat-error>El apellido paterno es requerido</mat-error>
                </mat-form-field>
              </p>
            </div>


            <div fxFlex="100">
              <p>
                <mat-form-field>
                  <mat-label>Apellido Materno</mat-label>
                  <input matInput required formControlName="last_name">
                  <mat-error>El apellido materno es requerido</mat-error>
                </mat-form-field>
              </p>
            </div>


          </div>



        </form>
      </mat-step>

      <!-- END PERSON STEP-->


      <!-- USER STEP -->
      <mat-step [stepControl]="userFormGroup.get('user')">
        <form [formGroup]="userFormGroup.get('user')">
          <ng-template matStepLabel>
            <span *ngIf="width>deviceService.breakpoints.sm">Usuario</span>
          </ng-template>

          <h2 style="text-align:center;" *ngIf="width<deviceService.breakpoints.sm">Usuario</h2>

          <div fxLayout="column" fxLayoutAlign="center center" *ngIf="formType=='create'">
            <div fxFlex="100">
              <p>
                <mat-form-field>
                  <mat-label>Correo electrónico</mat-label>
                  <input matInput required formControlName="email">
                  <mat-error *ngIf="userFormGroup.get('user.email').errors &&
                       userFormGroup.get('user.email').errors['duplicated']">
                    Este correo ya ha sido registrado
                  </mat-error>
                  <mat-error *ngIf="userFormGroup.get('user.email').errors &&
                                 userFormGroup.get('user.email').errors['required']">
                    El correo es obligatorio
                  </mat-error>

                  <mat-error *ngIf="userFormGroup.get('user.email').errors &&
                       userFormGroup.get('user.email').errors['email']">
                    El correo es inválido
                  </mat-error>
                </mat-form-field>
              </p>
            </div>
            <div fxFlex="100">
              <p>
                <mat-form-field>
                  <mat-label>Contraseña</mat-label>
                  <input type="password" matInput required formControlName="password">
                  <mat-error>La contraseña es requerida</mat-error>
                </mat-form-field>
              </p>
            </div>
          </div>

          <p>

            <mat-label>Rol de Usuario</mat-label>
            <mat-selection-list #rolelist>
              <mat-list-option *ngFor="let role of roles;let i=index" [selected]="role.is_active==1" [value]="role.id">
                {{role.description}}
              </mat-list-option>
            </mat-selection-list>
            <mat-error *ngIf="userFormGroup.get('user.roles').errors">
              Indique al menos 1 rol de usuario
            </mat-error>

          </p>

        </form>


      </mat-step>
      <!--END USER STEP -->

      <!-- CONTACT STEP-->
      <mat-step [stepControl]="userFormGroup.get('person_contact')">
        <form [formGroup]="userFormGroup.get('person_contact')">
          <ng-template matStepLabel>
            <span *ngIf="width>deviceService.breakpoints.sm">Contacto</span>
          </ng-template>


          <div class="sticky">
            <h2 style="text-align:center;" *ngIf="width<deviceService.breakpoints.sm">Contacto</h2>
            <button mat-fab color="primary" type="button" (click)="addContact()">
              <mat-icon>playlist_add</mat-icon>
            </button>
          </div>




          <div class="contact-row" fxLayout="row" fxLayout.xs="column" fxLayoutAlign="center center" *ngFor="let contact of userFormGroup.get('person_contact').controls;let i=index;"
            [formGroupName]="i">

            <mat-divider></mat-divider>
            <div fxFlex="45" fxFlex.xs="100">
              <mat-form-field>
                <mat-select placeholder="Tipo contacto" formControlName="type" required>
                  <mat-option>--</mat-option>
                  <mat-option [value]="'celular'">Teléfono Celular</mat-option>
                  <mat-option [value]="'fijo'">Teléfono Fijo</mat-option>
                  <mat-option [value]="'correo'">Correo Electrónico</mat-option>
                </mat-select>
                <mat-error>Elija el tipo de contacto</mat-error>
              </mat-form-field>
            </div>
            <div fxFlex="45" fxFlex.xs="100">
              <p>
                <mat-form-field>
                  <mat-label>Contacto</mat-label>
                  <input matInput required formControlName="contact">
                  <mat-error>El contacto es obligatorio</mat-error>
                </mat-form-field>
              </p>
            </div>
            <div fxFlex="10" fxFlex.xs="100">
              <button mat-mini-fab color="warn" type="button" (click)="removeContact(i)">
                <mat-icon>remove</mat-icon>
              </button>
            </div>
            <mat-divider></mat-divider>

          </div>


        </form>
      </mat-step>
      <!--END ADDRESS STEP-->

    </mat-horizontal-stepper>


  </div>
  <div class="spacer"></div>

  <div mat-dialog-actions fxFlexAlign="end">
    <button mat-button mat-raised-button color="primary" (click)="stepper.previous()">
      <mat-icon>arrow_backward</mat-icon> Anterior
    </button>

    <button *ngIf="!userFormGroup.valid" mat-button mat-raised-button color="primary" (click)="stepper.next()">
      <mat-icon>arrow_forwards</mat-icon> Siguiente
    </button>

    <button *ngIf="userFormGroup.valid" mat-button mat-raised-button color="warn" (click)="onSubmit()">
      <mat-icon>save</mat-icon> Guardar
    </button>
  </div>


</div>